Validate an OpenAPI document
Fetches and compiles an OpenAPI 3 document into an MCP tool preview without creating a registry. Always returns 200 for validation outcomes; inspect ok and stage.
POST
Error
Authorizations
Path Parameters
Gateway id
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Fetches and compiles an OpenAPI 3 document into an MCP tool preview without creating a registry. Always returns 200 for validation outcomes; inspect ok and stage.
A valid request URL is required to generate request examples{
"base_url": "<string>",
"message": "<string>",
"ok": true,
"openapi_version": "<string>",
"stage": "<string>",
"title": "<string>",
"tool_count": 123,
"tools": [
{
"description": "<string>",
"method": "<string>",
"name": "<string>",
"path": "<string>"
}
],
"warnings": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Gateway id
A valid request URL is required to generate request examples{
"base_url": "<string>",
"message": "<string>",
"ok": true,
"openapi_version": "<string>",
"stage": "<string>",
"title": "<string>",
"tool_count": 123,
"tools": [
{
"description": "<string>",
"method": "<string>",
"name": "<string>",
"path": "<string>"
}
],
"warnings": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}